Opened 11 years ago

Closed 11 years ago

#6070 closed defect (fixed)

mythfilldatabase --refresh-all does not refresh all.

Reported by: km@… Owned by: danielk
Priority: minor Milestone: unknown
Component: mythfilldatabase Version: unknown
Severity: medium Keywords:
Cc: Ticket locked: no

Description

From the description "refresh-all" I would presume that this option would reload all days of schedule and replace descriptions with updated ones where available. Thats what "refresh-day N" does for day N, and I would expect refresh-all to do it for all days. In fact it doesn't. Here is an example run, where it just skips days:

aclinux:~$ mythfilldatabase --refresh-all 2009-01-04 20:00:03.743 Using runtime prefix = /usr/local 2009-01-04 20:00:03.770 Empty LocalHostName?. 2009-01-04 20:00:03.770 Using localhost value of maclinux 2009-01-04 20:00:03.787 New DB connection, total: 1 2009-01-04 20:00:03.791 Connected to database 'mythconverg' at host: localhost 2009-01-04 20:00:03.791 Closing DB connection named 'DBManager0' 2009-01-04 20:00:03.791 Connected to database 'mythconverg' at host: localhost 2009-01-04 20:00:03.795 Current Schema Version: 1228 2009-01-04 20:00:03.797 New DB connection, total: 2 2009-01-04 20:00:03.797 Connected to database 'mythconverg' at host: localhost 2009-01-04 20:00:06.351 Updating source #1 (zap) with grabber schedulesdirect1 2009-01-04 20:00:06.352 Found 45 channels for source 1 which use grabber 2009-01-04 20:00:06.353 2009-01-04 20:00:06.353 Checking day @ offset 0, date: Sun Jan 4 2009 2009-01-04 20:00:06.430 Data is already present for Sun Jan 4 2009, skipping 2009-01-04 20:00:06.430 2009-01-04 20:00:06.430 Checking day @ offset 1, date: Mon Jan 5 2009 2009-01-04 20:00:06.430 Data Refresh always needed for tomorrow 2009-01-04 20:00:06.431 Refreshing data for Mon Jan 5 2009 2009-01-04 20:00:06.431 This DataDirect? listings source is shared by 2 MythTV lineups 2009-01-04 20:00:06.431 We should keep data around after this one 2009-01-04 20:00:06.431 New DB DataDirect? connection 2009-01-04 20:00:06.432 Connected to database 'mythconverg' at host: localhost 2009-01-04 20:00:06.448 Retrieving datadirect data. 2009-01-04 20:00:06.448 Grabbing data for Sun Jan 4 2009 offset 1 2009-01-04 20:00:06.448 From Mon Jan 5 05:00:00 2009 to Tue Jan 6 05:00:00 2009 (UTC) 2009-01-04 20:00:06.448 Grabbing listing data 2009-01-04 20:00:06.482 DataDirect?: Saving listings to DD cache --2009-01-04 20:00:06-- http://webservices.schedulesdirect.tmsdatadirect.com/schedulesdirect/tvlistings/xtvdService Resolving webservices.schedulesdirect.tmsdatadirect.com... 206.18.98.175 Connecting to webservices.schedulesdirect.tmsdatadirect.com|206.18.98.175|:80... connected. HTTP request sent, awaiting response... 401 Unauthorized Reusing existing connection to webservices.schedulesdirect.tmsdatadirect.com:80. HTTP request sent, awaiting response... 200 OK Length: unspecified [text/xml] Saving to: `STDOUT'

[ <=> ] 195,681 35.7K/s in 5.4s

2009-01-04 20:00:12 (35.7 KB/s) - `-' saved [195681]

2009-01-04 20:00:12.536 New DB connection, total: 3 2009-01-04 20:00:12.537 Connected to database 'mythconverg' at host: localhost 2009-01-04 20:00:12.539 DataDirect?: Your subscription expires on Fri Jun 19 10:33 PM 2009-01-04 20:00:12.644 sourceid 1 has lineup type: CableDigital? 2009-01-04 20:00:12.661 sourceid 3 has lineup type: CableDigital? 2009-01-04 20:00:19.228 Grab complete. Actual data from Mon Jan 5 05:00:00 2009 to Tue Jan 6 05:00:00 2009 (UTC) 2009-01-04 20:00:19.229 Main temp tables populated. 2009-01-04 20:00:19.229 Updating myth channels. 2009-01-04 20:00:19.296 Updating icons for sourceid: 1 2009-01-04 20:00:19.336 Channels updated. 2009-01-04 20:00:19.571 Clearing data for source. 2009-01-04 20:00:19.571 Clearing from Mon Jan 5 00:00:00 2009 to Tue Jan 6 00:00:00 2009 (localtime) 2009-01-04 20:00:19.596 New DB connection, total: 4 2009-01-04 20:00:19.597 Connected to database 'mythconverg' at host: localhost 2009-01-04 20:00:23.465 Data for source cleared. 2009-01-04 20:00:23.465 Updating programs. 2009-01-04 20:00:31.237 Program table update complete. 2009-01-04 20:00:31.237 2009-01-04 20:00:31.237 Checking day @ offset 2, date: Tue Jan 6 2009 2009-01-04 20:00:31.424 Data is already present for Tue Jan 6 2009, skipping 2009-01-04 20:00:31.424 2009-01-04 20:00:31.425 Checking day @ offset 3, date: Wed Jan 7 2009 2009-01-04 20:00:31.467 Data is already present for Wed Jan 7 2009, skipping 2009-01-04 20:00:31.467 2009-01-04 20:00:31.467 Checking day @ offset 4, date: Thu Jan 8 2009 2009-01-04 20:00:31.506 Data is already present for Thu Jan 8 2009, skipping 2009-01-04 20:00:31.506 2009-01-04 20:00:31.506 Checking day @ offset 5, date: Fri Jan 9 2009 2009-01-04 20:00:31.545 Data is already present for Fri Jan 9 2009, skipping 2009-01-04 20:00:31.545 2009-01-04 20:00:31.545 Checking day @ offset 6, date: Sat Jan 10 2009 2009-01-04 20:00:31.583 Data is already present for Sat Jan 10 2009, skipping 2009-01-04 20:00:31.583 2009-01-04 20:00:31.583 Checking day @ offset 7, date: Sun Jan 11 2009 2009-01-04 20:00:31.620 Data is already present for Sun Jan 11 2009, skipping 2009-01-04 20:00:31.620 2009-01-04 20:00:31.620 Checking day @ offset 8, date: Mon Jan 12 2009 2009-01-04 20:00:31.657 Data is already present for Mon Jan 12 2009, skipping 2009-01-04 20:00:31.657 2009-01-04 20:00:31.657 Checking day @ offset 9, date: Tue Jan 13 2009 2009-01-04 20:00:31.694 Data is already present for Tue Jan 13 2009, skipping 2009-01-04 20:00:31.694 2009-01-04 20:00:31.694 Checking day @ offset 10, date: Wed Jan 14 2009 2009-01-04 20:00:31.730 Data is already present for Wed Jan 14 2009, skipping 2009-01-04 20:00:31.730 2009-01-04 20:00:31.730 Checking day @ offset 11, date: Thu Jan 15 2009 2009-01-04 20:00:31.767 Data is already present for Thu Jan 15 2009, skipping 2009-01-04 20:00:31.767 2009-01-04 20:00:31.767 Checking day @ offset 12, date: Fri Jan 16 2009 2009-01-04 20:00:31.802 Data is already present for Fri Jan 16 2009, skipping 2009-01-04 20:00:31.802 2009-01-04 20:00:31.803 Checking day @ offset 13, date: Sat Jan 17 2009 2009-01-04 20:00:31.839 Data is already present for Sat Jan 17 2009, skipping 2009-01-04 20:00:33.194 Updating source #3 (zap1) with grabber schedulesdirect1 2009-01-04 20:00:33.195 Found 68 channels for source 3 which use grabber 2009-01-04 20:00:33.195 2009-01-04 20:00:33.195 Checking day @ offset 0, date: Sun Jan 4 2009 2009-01-04 20:00:33.285 Data is already present for Sun Jan 4 2009, skipping 2009-01-04 20:00:33.285 2009-01-04 20:00:33.285 Checking day @ offset 1, date: Mon Jan 5 2009 2009-01-04 20:00:33.285 Data Refresh always needed for tomorrow 2009-01-04 20:00:33.285 Refreshing data for Mon Jan 5 2009 2009-01-04 20:00:33.285 This DataDirect? listings source is shared by 2 MythTV lineups 2009-01-04 20:00:33.285 We should use cached data for this one 2009-01-04 20:00:33.286 Retrieving datadirect data. 2009-01-04 20:00:33.286 Grabbing data for Sun Jan 4 2009 offset 1 2009-01-04 20:00:33.286 From Mon Jan 5 05:00:00 2009 to Tue Jan 6 05:00:00 2009 (UTC) 2009-01-04 20:00:33.286 Grabbing listing data 2009-01-04 20:00:33.286 DataDirect?: Copying from DD cache 2009-01-04 20:00:33.293 DataDirect?: Your subscription expires on Fri Jun 19 10:33 PM 2009-01-04 20:00:39.667 Grab complete. Actual data from Mon Jan 5 05:00:00 2009 to Tue Jan 6 05:00:00 2009 (UTC) 2009-01-04 20:00:39.667 Main temp tables populated. 2009-01-04 20:00:39.667 Updating myth channels. 2009-01-04 20:00:39.678 Updating icons for sourceid: 3 2009-01-04 20:00:39.678 Channels updated. 2009-01-04 20:00:39.879 Clearing data for source. 2009-01-04 20:00:39.879 Clearing from Mon Jan 5 00:00:00 2009 to Tue Jan 6 00:00:00 2009 (localtime) 2009-01-04 20:00:50.783 Data for source cleared. 2009-01-04 20:00:50.783 Updating programs. 2009-01-04 20:00:54.919 Program table update complete. 2009-01-04 20:00:54.920 2009-01-04 20:00:54.920 Checking day @ offset 2, date: Tue Jan 6 2009 2009-01-04 20:00:54.990 Data is already present for Tue Jan 6 2009, skipping 2009-01-04 20:00:54.990 2009-01-04 20:00:54.990 Checking day @ offset 3, date: Wed Jan 7 2009 2009-01-04 20:00:55.048 Data is already present for Wed Jan 7 2009, skipping 2009-01-04 20:00:55.048 2009-01-04 20:00:55.048 Checking day @ offset 4, date: Thu Jan 8 2009 2009-01-04 20:00:55.105 Data is already present for Thu Jan 8 2009, skipping 2009-01-04 20:00:55.105 2009-01-04 20:00:55.106 Checking day @ offset 5, date: Fri Jan 9 2009 2009-01-04 20:00:55.162 Data is already present for Fri Jan 9 2009, skipping 2009-01-04 20:00:55.162 2009-01-04 20:00:55.162 Checking day @ offset 6, date: Sat Jan 10 2009 2009-01-04 20:00:55.218 Data is already present for Sat Jan 10 2009, skipping 2009-01-04 20:00:55.218 2009-01-04 20:00:55.218 Checking day @ offset 7, date: Sun Jan 11 2009 2009-01-04 20:00:55.274 Data is already present for Sun Jan 11 2009, skipping 2009-01-04 20:00:55.274 2009-01-04 20:00:55.274 Checking day @ offset 8, date: Mon Jan 12 2009 2009-01-04 20:00:55.330 Data is already present for Mon Jan 12 2009, skipping 2009-01-04 20:00:55.330 2009-01-04 20:00:55.330 Checking day @ offset 9, date: Tue Jan 13 2009 2009-01-04 20:00:55.385 Data is already present for Tue Jan 13 2009, skipping 2009-01-04 20:00:55.385 2009-01-04 20:00:55.385 Checking day @ offset 10, date: Wed Jan 14 2009 2009-01-04 20:00:55.439 Data is already present for Wed Jan 14 2009, skipping 2009-01-04 20:00:55.439 2009-01-04 20:00:55.439 Checking day @ offset 11, date: Thu Jan 15 2009 2009-01-04 20:00:55.494 Data is already present for Thu Jan 15 2009, skipping 2009-01-04 20:00:55.494 2009-01-04 20:00:55.494 Checking day @ offset 12, date: Fri Jan 16 2009 2009-01-04 20:00:55.548 Data is already present for Fri Jan 16 2009, skipping 2009-01-04 20:00:55.548 2009-01-04 20:00:55.548 Checking day @ offset 13, date: Sat Jan 17 2009 2009-01-04 20:00:55.602 Data is already present for Sat Jan 17 2009, skipping 2009-01-04 20:00:55.848 Data fetching complete. 2009-01-04 20:00:55.848 Adjusting program database end times. 2009-01-04 20:00:57.768 0 replacements made 2009-01-04 20:00:57.768 Marking generic episodes. 2009-01-04 20:00:58.237 Found 695 2009-01-04 20:00:58.238 Marking repeats. 2009-01-04 20:00:58.744 Found 1831 2009-01-04 20:00:58.744 Unmarking new episode rebroadcast repeats. 2009-01-04 20:00:59.137 Found 0 2009-01-04 20:00:59.984 Marking episode first showings. 2009-01-04 20:01:20.232 Found 16173 2009-01-04 20:01:20.232 Marking episode last showings. 2009-01-04 20:01:32.136 Found 16173 2009-01-04 20:01:32.154 Grabbing next suggested grabbing time 2009-01-04 20:01:32.596 DataDirect?: BlockedTime? is: 2009-01-04T20:01:32 2009-01-04 20:01:32.596 DataDirect?: NextSuggestedTime? is: 2009-01-05T09:50:52 2009-01-04 20:01:32.713 =============================================================== | Attempting to contact the master backend for rescheduling. | | If the master is not running, rescheduling will happen when | | the master backend is restarted. | =============================================================== 2009-01-04 20:01:32.722 Connecting to backend server: 192.168.10.10:6543 (try 1 of 5) 2009-01-04 20:01:32.723 Using protocol version 43 2009-01-04 20:01:35.003 mythfilldatabase run complete. 2009-01-04 20:01:35.003 DataDirect?: Deleting temporary files

Change History (2)

comment:1 Changed 11 years ago by stuartm

Owner: changed from stuartm to danielk
Status: newassigned

comment:2 Changed 11 years ago by danielk

Resolution: fixed
Status: assignedclosed

(In [19642]) Fixes #6070. Handle --refresh-all correctly.

Note: See TracTickets for help on using tickets.